{% set or_sep = joiner(' +\nor +\n') -%}
{% for tag_combination in osm_tags -%}
    {{- or_sep() -}}
    (
    {%- set and_sep = joiner(' and ') -%}
    {%- for tag in tag_combination -%}
        {{- and_sep() -}}
        {{ tag|linkify_osm_tag }}
    {%- endfor -%}
    )
{% endfor %}
{# `{{ osm_wiki_url }}Key:natural[natural]=link:{{ osm_wiki_url }}Tag:landuse=forest[meadow]` and not `{{ osm_wiki_url }}Key:landuse[landuse]=link:{{ osm_wiki_url }}Tag:landuse=forest[forest]` #}
